DEFINITION MODULE chario;

FROM K32baseTypes IMPORT

	integer16;

EXPORT QUALIFIED

	err, errout, flush, getch, gets, input, output, putch, puts,
	stdin, stdout;

CONST
	stdin = 0;
	stdout = 1;
	errout = 2;

PROCEDURE err(
	emsg : ARRAY OF CHAR
	);

PROCEDURE flush;

PROCEDURE getch(
	) : CHAR;

PROCEDURE gets(
	VAR buf : ARRAY OF CHAR
	);

PROCEDURE input(
	file : integer16
	);

PROCEDURE output(
	file : integer16
	);

PROCEDURE putch(
	ch : CHAR
	);

PROCEDURE puts(
	str : ARRAY OF CHAR
	);

END chario.
